import 'package:protobuf3_parser/protobuf3_parser.dart';

class EnumField {
  int? id;
  String name;
  final List<Comment> comments;
  Enum3? parent;
  EnumField(this.name, {this.id, this.comments = const [], this.parent});

  Iterable<Comment> get documentations => comments.where(
      (e) => e.type == CommentType.singleDoc || e.type == CommentType.multiDoc);
}
