///
/// https://developers.google.com/protocol-buffers/docs/proto3#default
///
class CoreTypes {
  static const int64 = "int64";
  static const int32 = "int32";
  static const string = "string";
  static const bytes = "bytes";
  static const bool = "bool";
  static const double = "double";
  static const float = "float";
  static const uint32 = "uint32";
  static const uint64 = "uint64";
  static const sint32 = "sint32";
  static const sint64 = "sint64";
  static const fixed32 = "fixed32";
  static const fixed64 = "fixed64";
  static const sfixed32 = "sfixed32";

  static final values = [
    int64,
    int32,
    string,
    bytes,
    bool,
    double,
    float,
    uint32,
    uint64,
    sint32,
    sint64,
    fixed32,
    fixed64,
    sfixed32,
  ];
}
