enum CommentType { single, multi, singleDoc, multiDoc }

class Comment {
  CommentType type;
  String actualText;
  Comment(this.type, this.actualText);

  String get text {
    switch (type) {
      case CommentType.singleDoc:
        int x = "///".length;
        if (actualText[x] == " ") x++;
        return actualText.substring(x);
      default:
        return actualText;
    }
  }

  bool get isDocumenation =>
      type == CommentType.multiDoc || type == CommentType.singleDoc;

  @override
  String toString() => text;
}
