import 'package:protobuf3_parser/protobuf3_parser.dart';

class StringAssetReader extends AssetReader {
  String string;
  StringAssetReader(this.string);

  @override
  bool canRead(AssetId assetId) => assetId.path == "";

  @override
  Stream<List<int>> read(AssetId assetId) async* {
    yield string.codeUnits;
  }
}
